# The MEME Suite

## Motif-based sequence analysis tools

## meme-get-motif

### Usage:

`meme-get-motif [options]`

### Description

Extract specified motifs from a MEME text (.txt) format file.

### Input

The program reads a file in MEME format from standard input.

### Output

The program writes a MEME text format file to standard output.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-id | motif id | Extract the motif with ID motif id. This switch may be repeated. | Outputs nothing.
-a |  | Check the alternate ID instead of the ID of the motif for matches in conjunction with the -id option. (The alternate ID is the first word, if any, occurring after the ID on the MOTIF line in the MEME .txt file.) | Only the motif with the given ID is used.
-ia |  | Check both the alternate ID and the ID of the motif for matches in conjunction with the -id option. | Only the motif with the given ID is used.
-all |  | Extract all the motifs in the given file. | Extract only the motifs with the specified IDs.
-rc |  | Reverse-complement each extracted motif before outputing. This requires a complementable alphabet. | Do not reverse-complement the motifs.